uniform sampler3D Volume;
uniform sampler1D Transfer;
uniform sampler1D WeightTexture;
uniform int transferActive;

void main()
{
	vec4 lookUp = texture3D(Volume, gl_TexCoord[0].stp);
	//wenn die Transferfunktion aktiv ist
	if (transferActive == 1)
	{
		//Lookup machen
		vec4 transf = texture1D(Transfer, lookUp.r);
		//keine Alpha-Berücksichtigung im Slicen
		gl_FragColor = vec4(transf.rgb, 1.0);
	}
	//wenn die Transferfunktion nicht aktiv ist
	else
	{
		//nur den Intensity-Wert rendern
		gl_FragColor = vec4(lookUp.rrr, 1.0);
	}
}